Bug 192541 - [patch] www/linux-f10-flashplugin11: drop libflashsupport now that ALSA works fine
Summary: [patch] www/linux-f10-flashplugin11: drop libflashsupport now that ALSA works...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on: 169896 195416
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-10 01:17 UTC by Jan Beich
Modified: 2014-11-26 15:49 UTC (History)
2 users (show)

See Also:


Attachments
use alsa (f10 and c6) (4.36 KB, patch)
2014-08-10 01:17 UTC, Jan Beich
no flags Details | Diff
use alsa (f10 and c6) (4.54 KB, patch)
2014-09-23 12:04 UTC, Jan Beich
no flags Details | Diff
use alsa (f10 and c6) (5.94 KB, patch)
2014-10-10 08:09 UTC, Jan Beich
no flags Details | Diff
use alsa (f10 and c6), v2 (6.23 KB, patch)
2014-11-15 20:52 UTC, Jan Beich
no flags Details | Diff
use alsa (f10 and c6), v2 (5.97 KB, patch)
2014-11-25 01:43 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-08-10 01:17:30 UTC
Created attachment 145600 [details]
use alsa (f10 and c6)

After bug 169896 there's no need to depend on libflashsupport hardcoded to s16le. It should behave like following:

1/ on playback Flash plugin dlopen's libasound.so
2/ libasound.so chooses output plugin depending on /usr/local/etc/asound.conf
3/ "plug" may convert sample format if output plugin doesn't support
4/ either linux oss plugin talks directly to /dev/dsp or
   linux pulseaudio/jack plugin dispatches commands to native daemon
   which uses its own plugin to talk to /dev/dsp

Beware, removing asound.conf, not installing oss/pulse/jack alsa plugin or not applying bug 169896 would lead to no sound with:

ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4664:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2209:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib pcm_hw.c:1401:(_snd_pcm_hw_open) Invalid value for card
Comment 1 Jan Beich freebsd_committer 2014-08-10 01:21:21 UTC
Can someone with a web camera confirm audio capture still works fine?
Comment 2 Jan Beich freebsd_committer 2014-09-23 12:04:09 UTC
Created attachment 147594 [details]
use alsa (f10 and c6)

Rebased after c6 landed and @dirrm removal.
Comment 3 Jan Beich freebsd_committer 2014-10-10 08:09:18 UTC
Created attachment 148156 [details]
use alsa (f10 and c6)

Rebased.
Comment 4 Jan Beich freebsd_committer 2014-11-15 20:52:34 UTC
Created attachment 149454 [details]
use alsa (f10 and c6), v2

- rebased after ports r372458
- fixed bug in MASTER_SITES only exposed without :grouping
- keep USE_LINUX_APPS sorting consistent between c6 and f10 variants
Comment 5 John Marino freebsd_committer 2014-11-24 19:31:06 UTC
I'll take this -- it's been rebased several times with no reaction from emulation@ so it qualifies for maintainer timeout.
Comment 6 John Marino freebsd_committer 2014-11-24 21:27:05 UTC
sorry, the patch doesn't apply, it needs to be rebased again.
Comment 7 Jan Beich freebsd_committer 2014-11-25 00:58:32 UTC
Don't land before bug 169896. Otherwise, f10 port would break because c6 one contains

https://github.com/xmj/linux-ports/commit/0948aef
Comment 8 Jan Beich freebsd_committer 2014-11-25 01:43:54 UTC
Created attachment 149814 [details]
use alsa (f10 and c6), v2

Rebased after ports r373192.
Comment 9 commit-hook freebsd_committer 2014-11-25 18:28:05 UTC
A commit references this bug:

Author: marino
Date: Tue Nov 25 18:27:19 UTC 2014
New revision: 373426
URL: https://svnweb.freebsd.org/changeset/ports/373426

Log:
  www/linux-*-flashplugin11: Drop libflash support now that ALSA works

  PR:		192541
  Submitted by:	Jan Beich
  Approved by:	maintainer timeout (> 3 months)

Changes:
  head/www/linux-c6-flashplugin11/Makefile
  head/www/linux-c6-flashplugin11/distinfo
  head/www/linux-c6-flashplugin11/pkg-plist
  head/www/linux-f10-flashplugin11/Makefile
  head/www/linux-f10-flashplugin11/distinfo
  head/www/linux-f10-flashplugin11/pkg-plist
Comment 10 John Marino freebsd_committer 2014-11-25 18:28:46 UTC
Thanks, I think I'll call it a night now!